Page MenuHomeSolus

Citizen Portugal Card
Closed, WontfixPublic

Description

Hello,

I would like to know if it is possible, through the deb file, create the package for Solus.

This software is required for the card reader.

Link: https://www.autenticacao.gov.pt/cc-aplicacao

Deb File: https://www.autenticacao.gov.pt/documents/10179/11962/pteid-mw_amd64.deb/7bb1bfbf-a3b5-4c90-9e3e-38740dbe504b

Thanks

Event Timeline

DataDrake triaged this task as Wishlist priority.Dec 31 2018, 2:41 PM
DataDrake moved this task from Backlog to Accepted For Inclusion on the Package Requests board.
DataDrake added a subscriber: DataDrake.

Needs to be build from source: https://svn.gov.pt/projects/ccidadao

Whoever maintains this needs to work out an easy way for us to generate tarball sources from SVN tags.

@DataDrake would a script that takes the svn tag as argument be fine ?

#!/bin/bash
set -e

svnTag=$1
repoURL=https://svn.gov.pt/projects/ccidadao/repository/middleware-offline/tags/${svnTag}/_src/eidmw
pkgName=pteid-mw

if [[ ! -x $(command -v svn) ]]; then
  echo 'Error: subversion is not installed.' >&2
  exit 1
fi

if [[ -z $svnTag ]]; then
  echo "Usage: $0 <svn tag>"
  echo ""
  echo "Error: SVN tag missing"
  exit 1
fi

rm -fr ${pkgName}
svn --non-interactive export --quiet ${repoURL} ${pkgName}
tar --exclude-vcs -cJf ${pkgName}_${svnTag}.tar.xz ${pkgName}

SHASUM=$(sha256sum ${pkgName}_${svnTag}.tar.xz)
echo "${pkgName}_${svnTag}.tar.xz : ${SHASUM%% *}"

rm -fr ${pkgName}

reasonable, yeah

DataDrake closed this task as Wontfix.Feb 9 2019, 7:49 PM

This has sat in accepted for inclusion for over 30 days. Clearly, there is a lack of demand for the inclusion of this software, nobody has stepped up to provide a completed patch, maintain it, and properly integrate it. Closing as a result. Feel free to reopen but only when someone offers a patch via our proper patch submission methods and volunteers to be maintainer.

This comment was removed by nunomgsantos.
Christoph3 reopened this task as Open.Feb 20 2019, 9:57 PM
This comment was removed by nunomgsantos.

Please stop attaching files, it is useless as the package will anyway not pick the file from this dev-tracker. All it does is wasting disk space.
Thanks !

Remove all my coments.

JoshStrobl closed this task as Wontfix.Mar 31 2019, 1:13 AM
JoshStrobl added a subscriber: JoshStrobl.

Do not re-open this task without providing a patch. Thank you.